package com.gh.gamecenter.feature.viewholder;

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.common.callback.OnListClickListener;
import com.gh.gamecenter.feature.databinding.NewsDigestItemBinding;
import com.gh.gamecenter.feature.entity.ConcernEntity;

/**
 * Created by Administrator on 2016/9/8.
 * viewholder
 */
public class NewsDigestViewHolder extends BaseRecyclerViewHolder<ConcernEntity> {
    public NewsDigestItemBinding binding;

    public NewsDigestViewHolder(NewsDigestItemBinding binding) {
        super(binding.getRoot());
        this.binding = binding;
    }

    public NewsDigestViewHolder(NewsDigestItemBinding binding, OnListClickListener listClickListener) {
        super(binding.getRoot(), listClickListener);
        this.binding = binding;
        this.binding.getRoot().setOnClickListener(this);
        this.binding.newsDigestShare.setOnClickListener(this);
        this.binding.newsDigestComment.setOnClickListener(this);
    }

}
